# $Revision: 1.23.2.5 $, $Date: 2004/07/27 09:37:11 $
#
# Conditional build:
%bcond_without	authother	# without auth other support
%bcond_without	mysql		# without MySQL support
%bcond_without	ldap		# without LDAP support
%bcond_without	perl		# without perl support
%bcond_without	pam		# without pam support
%bcond_without	ssl		# without ssl support
%bcond_without	whoson		# without WHOSON protocol support
#
Summary:	POP3 server
Summary(pl):	Serwer POP3
Name:		tpop3d
Version:	1.5.3
Release:	7
License:	GPL
Group:		Networking/Daemons
Source0:	http://www.ex-parrot.com/~chris/tpop3d/%{name}-%{version}.tar.gz
# Source0-md5:	dd920c49f4e5879eb3caf7ea047622e9
Source1:	%{name}.pamd
Source2:	%{name}.init
Source3:	%{name}.conf
Patch0:		%{name}-ac_am_fixes.patch
Patch1:		%{name}-cvs20040409.patch
Patch2:		%{name}-resolv.patch
Patch3:		%{name}-pam-vdomain.patch
URL:		http://www.ex-parrot.com/~chris/tpop3d/
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_mysql:BuildRequires:	mysql-devel}
%{?with_ldap:BuildRequires:	openldap-devel}
%{?with_pam:BuildRequires:		pam-devel}
%{?with_perl:BuildRequires:	perl-devel}
%{?with_whoson:BuildRequires:	whoson-devel}
%{?with_ssl:BuildRequires:		openssl-devel >= 0.9.6k}
PreReq:		rc-scripts
Requires(post,preun):	/sbin/chkconfig
Requires:	pam >= 0.77.3
Provides:	pop3daemon
Obsoletes:	courier-imap-pop3
Obsoletes:	imap-pop
Obsoletes:	imap-pop3
Obsoletes:	pop3daemon
Obsoletes:	qpopper
Obsoletes:	qpopper6
Obsoletes:	solid-pop3d
Obsoletes:	solid-pop3d-ssl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
tpop3d is yet-another-pop3-server. The intention has been to write a
server which is fast, extensible, and secure. `Extensible' is used
specifically in the context of new authentication mechanisms and
mailbox formats. Presently the distribution supports the following
authentication mechanisms:
- auth_pam - uses Pluggable Authentication Modules
- auth_passwd - /etc/passwd (and optionally /etc/shadow)
- auth_mysql - a vmail-sql style MySQL database; see
  http://www.ex-parrot.com/~chris/vmail-sql/
- auth_other - an external program
- auth_perl - embedded perl subroutines

The latter three options provide virtual domain support; the first two
are designed to authenticate local (Unix) users.

The following mailbox formats are supported:
- bsd - for BSD (`Unix') mailspools
- maildir - Qmail-style maildirs
- empty - null driver

tpop3d implements an optional metadata caching scheme for BSD
mailspools, which offers improved performance in cases where many
users leave large numbers of messages on the server between sessions.

%description -l pl
tpop3d to jeszcze-jeden-serwer-pop3. Intencj byo napisanie serwera,
ktry jest szybki, rozszerzalny i bezpieczny. `Rozszerzalny' jest tu
uyte w kontekcie formatw skrzynek. Obecnie pakiet dystrybucyjny
wspiera nastpujce mechanizmy autentykacji:

- auth_pam - uywa Wymiennych Moduw Autentykacji (PAM)
- auth_passwd - /etc/passwd (i opcjonalnie /etc/shadow)
- auth_mysql - baza MySQL w stylu vmail-sql ; obejrzyj
  http://www.ex-parrot.com/~chris/vmail-sql/
- auth_other - zewntrzny program
- auth_perl - zakorzenione podprogramy Perla

Ostatnie trzy opcje pozwalaj wspiera wirtualne domeny; pierwsze dwie
za s stworzone by autentykowa lokalnych (Unixowych) uytkownikw.

Wspierane s nastpujce formaty skrzynek:
- bsd - dla kolejkowych skrzynek w stylu BSD (`Unix')
- maildir - format maildir znany z Qmail
- empty - pusty sterownik

tpop3d implementuje opcjonalne zapamitywanie (caching) meta-danych
dla skrzynek BSD, ktre znacznie poprawia wydajno w przypadku, gdy
wielu uytkownikw zostawia du liczb wiadomoci na serwerze
pomidzy sesjami.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-mbox-bsd-save-indices \
	--with-mailspool-directory=/var/mail \
	--enable-shadow-passwords \
%{!?with_pam:	--disable-auth-pam} \
%{?with_ldap:	--enable-auth-ldap} \
%{?with_mysql:	--enable-auth-mysql} \
%{?with_whoson:	--enable-whoson} \
%{?with_perl:	--enable-auth-perl} \
%{?with_authother:	--enable-auth-other} \
	--enable-mbox-maildir \
%{?with_ssl:	--enable-tls} \
	--enable-auth-flatfile

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{pam.d,security,rc.d/init.d},%{_sysconfdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/tpop3d
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/tpop3d
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}

touch $RPM_BUILD_ROOT/etc/security/blacklist.pop3

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
/sbin/chkconfig --add %{name}
if [ -f /var/lock/subsys/%{name} ]; then
	/etc/rc.d/init.d/%{name} restart >&2
else
	echo "Run \"/etc/rc.d/init.d/%{name} start\" to start %{name} daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/%{name} ]; then
		/etc/rc.d/init.d/%{name} stop >&2
	fi
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc README* TPOP3D-AuthDriver scripts FAQ CHANGES CREDITS TODO PORTABILITY
%{?with_pam:%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/pam.d/tpop3d}
%{?with_pam:%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/security/blacklist.pop3}
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/tpop3d.conf
%attr(754,root,root) /etc/rc.d/init.d/tpop3d
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tpop3d.spec,v $
Revision 1.23.2.5  2004/07/27 09:37:11  marcus
- version 1.5.3-7 from Ac, config compatibile with old

Revision 1.45  2004/07/26 10:04:25  marcus
- rel.7.

Revision 1.44  2004/07/17 20:30:32  aredridel
- added pam-vdomain patch
- STBR

Revision 1.43  2004/04/15 19:40:21  qboosh
- added resolv patch (fixes build on amd64); release 6

Revision 1.42  2004/04/13 14:25:22  adamg
- release 5 to rebuild with new openldap

Revision 1.41  2004/04/09 10:09:00  arekm
- fixes from cvs (including workaroung for Outlook)

Revision 1.40  2004/03/19 23:46:39  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.39  2004/02/15 13:21:49  eothane
- bcond style, changelog cleanups

Revision 1.38  2004/02/12 13:46:22  kosmo
- small fix
- release 4

Revision 1.37  2004/02/10 10:48:08  arekm
- enable caching bsd mailboxes

Revision 1.36  2004/01/28 20:04:59  arekm
- make enable-whoson config working

Revision 1.35  2004/01/17 21:28:00  domelu
- release 2 to rebuild with ac

Revision 1.34  2003/11/25 20:14:03  areq
- 1.5.3

Revision 1.33  2003/09/26 14:26:00  baggins
- release 2

Revision 1.32  2003/09/26 14:20:26  baggins
- req pam >= 0.77.3

Revision 1.31  2003/09/07 19:29:54  areq
- 1.5.2

Revision 1.30  2003/09/02 06:50:52  arekm
- fork fixes from tpop3d cvs

Revision 1.29  2003/08/20 10:54:44  areq
- 1.5.1

Revision 1.28  2003/08/12 15:21:42  qboosh
- more specific Requires

Revision 1.27  2003/07/19 12:35:26  areq
- up to 1.5.1 pre CVS snapshot 2003-07-18 (tls support)
- more bconf

Revision 1.26  2003/07/09 07:10:42  baseciq
- removed one \t (needed to do this to build spec on rpm-4.1-15.1

Revision 1.25  2003/05/28 13:02:19  malekith
- massive attack: source-md5

Revision 1.24  2003/05/25 06:27:25  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/04/28 18:18:04  kloczek
- proper using %%{_sysconfdir} macro.

Revision 1.22  2003/04/28 14:30:03  mick3y
- added flatfile authentication

Revision 1.21  2003/04/10 14:50:36  jack
- added minimal nasty config file
- release 4

Revision 1.20  2003/04/10 14:34:35  jack
- Added 3 bconds:
	--without ldap
	--without mysql
	--without whoson

Revision 1.19  2003/02/22 12:41:12  mick3y
- requires kernel-headers go to glibc-devel

Revision 1.18  2003/02/20 14:11:56  mick3y
- build requires kernel-headers

Revision 1.17  2002/12/17 12:32:58  baseciq
- added some interesting documentation
- rel. 3

Revision 1.16  2002/10/09 13:14:49  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.15  2002/09/29 09:19:17  misiek
- fix flat auth

Revision 1.14  2002/06/28 13:53:03  misiek
- updated to 1.4.2 + added whoson support

Revision 1.13  2002/06/09 13:59:49  qboosh
- Obsoletes: imap-pop3, courier-imap-pop (tpop3d supports both mbox and maildir)
- new %%doc
- release 2

Revision 1.12  2002/05/21 23:14:51  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
               s/^automake -a -c -f/\%\{__automake\}/; \
	       s/^autoconf/\%\{__autoconf\}/"

Revision 1.11  2002/05/17 06:16:08  kloczek
- cosmetics.

Revision 1.10  2002/05/16 18:59:40  misiek
- updated to 1.4.1 and enabled openldap

Revision 1.9  2002/03/24 23:28:25  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.8  2002/02/23 04:49:04  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:29:48  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:15:13  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/12/07 21:12:46  mkochano
- /etc/pam.d/* marked with %%config(noreplace).
- Release++ (I'm too lazy to write here new release number for each
  spec. Sorry).

Revision 1.4  2001/12/02 00:13:01  kloczek
- changed Requires rule to Prereq for rc-scripts.

Revision 1.3  2001/11/30 04:08:45  siefca
- version 1.3.5
- modified patch (removed configure stuff)
- added --enable-shadow-passwords to configure invocation
- added polish translation of the package description
- added spec's post and preun sections with chkconfig and autorestart features
- fixed initscript

Revision 1.2  2001/08/01 17:20:34  kloczek
- added rc-scripts to Requires,
- added ac_am_fixes patch and regenerate ac/am files (now tpop3d is ac
  2.5x ready and removed linking with libnsl),
- added loger %description (borowed from README),
- added URL.

Revision 1.1  2001/08/01 12:12:34  waszi
- added
